# AppCallbackGrpc.AppCallbackBlockingStub (dapr-sdk-parent 1.10.0 API)

Package io.dapr.v1

## Class AppCallbackGrpc.AppCallbackBlockingStub

- java.lang.Object
- - io.grpc.stub.AbstractStub<S>
  - - io.grpc.stub.AbstractBlockingStub<AppCallbackGrpc.AppCallbackBlockingStub>
    - - io.dapr.v1.AppCallbackGrpc.AppCallbackBlockingStub

Enclosing class:
  AppCallbackGrpc

    public static final class AppCallbackGrpc.AppCallbackBlockingStub
    extends io.grpc.stub.AbstractBlockingStub<AppCallbackGrpc.AppCallbackBlockingStub>

     AppCallback V1 allows user application to interact with Dapr runtime.
     User application needs to implement AppCallback service if it needs to
     receive message from dapr runtime.

### Nested Class Summary

### Nested classes/interfaces inherited from class io.grpc.stub.AbstractStub

`io.grpc.stub.AbstractStub.StubFactory<T extends io.grpc.stub.AbstractStub<T>>`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected AppCallbackGrpc.AppCallbackBlockingStub` `build​(io.grpc.Channel channel, io.grpc.CallOptions callOptions)`
`DaprAppCallbackProtos.ListInputBindingsResponse` `listInputBindings​(com.google.protobuf.Empty request)` Lists all input bindings subscribed by this app.
`DaprAppCallbackProtos.ListTopicSubscriptionsResponse` `listTopicSubscriptions​(com.google.protobuf.Empty request)` Lists all topics subscribed by this app.
`DaprAppCallbackProtos.BindingEventResponse` `onBindingEvent​(DaprAppCallbackProtos.BindingEventRequest request)` Listens events from the input bindings User application can save the states or send the events to the output bindings optionally by returning BindingEventResponse.
`CommonProtos.InvokeResponse` `onInvoke​(CommonProtos.InvokeRequest request)` Invokes service method with InvokeRequest.
`DaprAppCallbackProtos.TopicEventResponse` `onTopicEvent​(DaprAppCallbackProtos.TopicEventRequest request)` Subscribes events from Pubsub

### Methods inherited from class io.grpc.stub.AbstractBlockingStub

`newStub, newStub`

### Methods inherited from class io.grpc.stub.AbstractStub

`getCallOptions, getChannel, withCallCredentials, withChannel, withCompression, withDeadline, withDeadlineAfter, withExecutor, withInterceptors, withMaxInboundMessageSize, withMaxOutboundMessageSize, withOption, withWaitForReady`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### build

    protected AppCallbackGrpc.AppCallbackBlockingStub build​(io.grpc.Channel channel,
                                                            io.grpc.CallOptions callOptions)

Specified by:
  `build` in class `io.grpc.stub.AbstractStub<AppCallbackGrpc.AppCallbackBlockingStub>`

#### onInvoke

    public CommonProtos.InvokeResponse onInvoke​(CommonProtos.InvokeRequest request)

     Invokes service method with InvokeRequest.

#### listTopicSubscriptions

    public DaprAppCallbackProtos.ListTopicSubscriptionsResponse listTopicSubscriptions​(com.google.protobuf.Empty request)

     Lists all topics subscribed by this app.

#### onTopicEvent

    public DaprAppCallbackProtos.TopicEventResponse onTopicEvent​(DaprAppCallbackProtos.TopicEventRequest request)

     Subscribes events from Pubsub

#### listInputBindings

    public DaprAppCallbackProtos.ListInputBindingsResponse listInputBindings​(com.google.protobuf.Empty request)

     Lists all input bindings subscribed by this app.

#### onBindingEvent

    public DaprAppCallbackProtos.BindingEventResponse onBindingEvent​(DaprAppCallbackProtos.BindingEventRequest request)

     Listens events from the input bindings
     User application can save the states or send the events to the output
     bindings optionally by returning BindingEventResponse.